// file: $PDSP/class/float_4/v1.0/flt4_err_0.cc
//

// isip include files
//
#include "float_4.h"
#include "float_4_constants.h"

// method: error_handler_cc
//
// arguments:
//  char_1* method_name_p: name of method in which error occurred
//  char_1* message_p: a message indicating the problem
//
// return:
//  a logical_1 indicating the status
//
logical_1 Float_4::error_handler_cc(char_1* method_name_a, char_1* message_a) {

  // dump internal data
  //
  fprintf(stderr, "%s: %s\n", method_name_a,message_a);
    
  // exit gracefully
  //
  return ISIP_TRUE;
  
}
