// file: $pdsp/src/v1.0/class/fourier_transform/ft_cstr_1.cc
//

// isip include files
//
#include "fourier_transform.h"
#include <math/integral/integral_constants.h>

// method: constructor
//
// arguments: none
//
// return: none
//
// this is the default constructor
//
Fourier_transform::Fourier_transform() {

  // initialize
  //
  N_d = (int_4)-1;
  algorithm_name_d = (char_1*)NULL;
  data_type_d = (int_4)-1;
  transform_direction_d = (int_4)-1;
  
  // intialize the timing parameters
  //
  num_mults_d = (int_4)0;
  num_adds_d = (int_4)0;
  cpu_time_d = (float_4)0;
  num_iter_d = (int_4)0;
  
  // debugging parameters
  //
  debug_level_d = ISIP_DEBUG_NONE;

  // exit gracefully
  //
}
