// file: $pdsp/src/v1.0/class/fourier_transform/ft_mult_0.cc
//

// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"

// method: mult_cc
//
// arguments: float_4 x : multiplier
//            float_4 y : multiplicand
//
// return: a float_4 result of multiplication
//
// 
//
float_4 Fourier_transform::mult_cc(float_4 x, float_4 y) {

  // update counters
  //
  num_mults_d++;

  // multiply the numbers
  //
  return x * y;
}

