// file: $pdsp/src/v1.0/class/fourier_transform/ft_reset_0.cc
//

// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"

// method: reset_cc
//
// arguments: 
//
// return: a logical_1 value indicating status
//
logical_1 Fourier_transform::reset_cc() {

  // zero the counters
  //
  num_mults_d = (int_4)0;
  num_adds_d = (int_4)0;
  cpu_time_d = (float_4)0;
  num_iter_d = (int_4)0;

  // exit gracefully
  //
  return ISIP_TRUE;
}
