// file: $PDSP/class/fourier_transform/v1.1/ft_add_0.cc
//

// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"

// method: add_cc
//
// arguments: float_4 x : addendum
//            float_4 y : additive
//
//
// return: a float_4 result of addition
// 
//
float_4 Fourier_transform::add_cc(float_4 x, float_4 y) {

  // update counters
  //
  num_float_adds_d++;

  // add the numbers
  //
  return (x + y);
}

