// file: $PDSP/class/fourier_transform/v1.1/ft_add_5.cc
//

// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"
#include <float_4.h>

// method: add_cc
//
// arguments: Float_4* x :  x in ( x + y ) computation 
//            int_4 y :  y in ( x + y ) computation
//
//
// return: a Float_4* result of addition
// 
// this method adds an integer to a pointer, used to shift the pointer
//
Float_4* Fourier_transform::add_cc(Float_4* x, int_4 y) {

  // update counters
  //
  num_int_adds_d++;

  // add the numbers
  //
  return (Float_4*)((float_4*)x + y);
}

