// file: $PDSP/class/fourier_transform/v1.1/ft_disp_3.cc
//

// isip include files
//
#include "fourier_transform.h"
#include <float_4.h>
#include "fourier_transform_constants.h"

// method: display_stats_mem_cc
//
// arguments:
//  FILE* fp_a: (input) file to which statistics should be printed
//  int_4 num_iter_a: (input) number of iterations to accumulate statistics
//
// return: a logical_1 value indicating status
//
// this method displays the memory statistics
//
logical_1 Fourier_transform::display_stats_mem_cc(FILE* fp_a,
						  int_4 num_iter_a) {

  fprintf(fp_a, FT_MEM_FORMAT,
	  (int_4)((float_4)memory_usage_d));
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
