// file: $PDSP/class/fourier_transform/v1.1/ft_get_1.cc
//

// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"

// method: get_algorithm_cc 
//
// arguments:
//         int_4& algorithm_a : (output) numeric equivalent of the algorithm 
//
// return: a logical_1 value indicating status
//
// this method gets the numeric equivalent name of the fft algorithm being used
//
logical_1 Fourier_transform::get_algorithm_cc(int_4& algorithm_a) {

  // get the algorithm being used
  //
  algorithm_a = algorithm_d;
  
  // exit gracefully
  //
  return ISIP_TRUE;
    
}


