// file: $PDSP/class/fourier_transform/v1.1/ft_set_1.cc
//

// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"

// method: set_cc (overloaded)
//
// arguments:
//         int_4 order_a : (input) order of the transform
//         int_4 name_a : (input) name of the algorithm to be tested
//
//
// return: a logical_1 value indicating status
//
// this method sets the parameters which are provided by the used
// from the command line
//
logical_1 Fourier_transform::set_cc(int_4 order_a, int_4 name_a) {
  
  // exit gracefully 
  //
  return set_cc(order_a,name_a,FT_DEFAULT_DATA_TYPE);
}
