// file: $PDSP/class/fourier_transform/v2.0/ft_msum_0.cc
//

// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"

// method: mult_sum_cc
//
//// arguments: float_8 x_a : multiplicand
//            float_8 y_a : multiplier
//            float_8 sum_a : addendum 
//
// return: a float_8 result of multiply accumulate process
// 
//
float_8 Fourier_transform::mult_sum_cc(float_8 x_a, float_8 y_a,
				       float_8 sum_a) {

  // multiply the numbers
  //
  float_8 sum = mult_cc(x_a, y_a);

  // add the result
  //
  return add_cc(sum, sum_a);
}



