// file: $PDSP/class/fourier_transform/v1.1/ft_add_1.cc
//

// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"

// method: sub_cc
//
// arguments: float_8 x :  x in ( x - y ) computation 
//            float_8 y :  y in ( x - y ) computation
//
//
// return: a float_8 result of subtraction
// 
//
float_8 Fourier_transform::sub_cc(float_8 x, float_8 y) {

  // update counters
  //
  num_float_adds_d++;

  // add the numbers
  //
  return x - y;
}

