// file: $PDSP/class/fourier_transform/v1.1/ft_add_4.cc
//

// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"

// method: add_cc
//
// arguments: float_8* x :  x in ( x + y ) computation 
//            int_4 y :  y in ( x + y ) computation
//
//
// return: a float_8* result of addition
// 
// this method adds an integer to a pointer, used to shift the pointer
//
float_8* Fourier_transform::add_cc(float_8* x, int_4 y) {

  // update counters
  //
  num_int_adds_d++;

  // add the numbers
  //
  return (x + y);
}

