// file: $PDSP/class/fourier_transform/v1.1/ft_mult_0.cc
//

// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"

// method: mult_cc (overloaded)
//
// arguments: float_8 x : multiplier
//            float_8 y : multiplicand
//
// return: a float_8 result of multiplication
//
// this method implements a float_8 multiply operation used for counting
// number of multiply operations
//
float_8 Fourier_transform::mult_cc(float_8 x, float_8 y) {

  // update counters
  //
  num_float_mults_d++;

  // multiply the numbers
  //
  return x * y;
}

