// file: $PDSP/class/fourier_transform/v1.1/ft_reset_0.cc
//

// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"
#include <integral_constants.h>

// method: reset_stats_cc
//
// arguments: none
//
// return: none
//
// method to reset the statistics
//
logical_1 Fourier_transform::reset_stats_cc() {

  // intialize the statistics
  //
  num_float_mults_d = (int_4)0;
  num_float_adds_d = (int_4)0;
  num_int_mults_d = (int_4)0;
  num_int_adds_d = (int_4)0;
  cpu_time_d = (float_8)0;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
