// file: $PDSP/class/fourier_transform/v1.1/ft_disp_1.cc
//

// isip include files
//
#include "fourier_transform.h"
#include <float_4.h>
#include "fourier_transform_constants.h"

// method: display_stats_cpu_cc
//
// arguments:
//  FILE* fp_a: (input) file to which statistics should be printed.
//  int_4 num_iter_a: (input) number of iterations to accumulate statistics
//
// return: a logical_1 value indicating status
//
// this method displays the cpu statistics
//
logical_1 Fourier_transform::display_stats_cpu_cc(FILE* fp_a,
						  int_4 num_iter_a) {

  fprintf(fp_a,FT_CPU_FORMAT,
	  (float_4)((float_4)cpu_time_d/(float_4)num_iter_a));

  // exit gracefully
  //
  return ISIP_TRUE;
}
