// file: $PDSP/class/fourier_transform/v1.1/ft_mult_1.cc
//

// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"

// method: mult_cc (overloaded)
//
// arguments: int_4 x : multiplier
//            int_4 y : multiplicand
//
// return: a int_4 result of multiplying two integers
//
// this method implements an integer multiply and lets us cound the number of
// such operations
//
int_4 Fourier_transform::mult_cc(int_4 x, int_4 y) {

  // update counters
  //
  num_int_mults_d++;

  // multiply the numbers
  //
  return x * y;
}


