// file: $PDSP/class/fourier_transform/v1.1/ft_set_0.cc
//

// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"

// method: set_cc (overloaded)
//
// arguments:
//         int_4 order_a : (input) order of the transform
//
// return: a logical_1 value indicating status
//
// this method sets the parameters which are provided by the user
// from the command line
//
logical_1 Fourier_transform::set_cc(int_4 order_a) {

  // call the base set routine with proper arguments and exit gracefully
  //
  return set_cc( order_a, FT_DEFAULT_ALGO_NAME,FT_DEFAULT_DATA_TYPE );
}



