// file: $PDSP/class/fourier_transform/v1.1/ft_stime_0.cc
//

// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"

// method: set_cputime_cc
//
// arguments:
//  float_4 cpu_time_a: (input) cpu time taken
//
// return: logical value indicating status
//
// this method sets the cpu_time_d member of the object
//
logical_1 Fourier_transform::set_cputime_cc(float_4 cpu_time_a) {

  // set cpu time
  //
  cpu_time_d = cpu_time_a;

  // exit gracefully
  //
  return ISIP_TRUE;
}
