// file: $PDSP/class/fourier_transform/v2.0/ft_reset_0.cc
//

// isip include files
//
#include "fourier_transform.h"
#include "fourier_transform_constants.h"

// method: reset_cc
//
// arguments: 
//
// return: a logical_1 value indicating status
//
logical_1 Fourier_transform::reset_cc() {

  // zero the counters
  //
  num_float_mults_d = (int_4)0;
  num_float_adds_d = (int_4)0;
  num_int_mults_d = (int_4)0;
  num_int_adds_d = (int_4)0;
  cpu_time_d = (float_8)0;
  num_iter_d = (int_4)0;
  memory_usage_d = (int_4)0;
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
